Skip to content
GET/{organizationId}/{mandateId}/finance/accounts/debtors/{debtorIdOrAccount}

Get debtor

Returns a specific debtor by its id or account number with all of its details

Required permissions:

  • mandate.read

  • debtor.read

Permissions depending on contact type:

  • contact:member

  • contact:address

  • contact:customer

  • contact:sponsor

  • contact:contributor

  • contact:employee

  • contact:supplier

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
debtorIdOrAccountstringrequired

Query Parameters

includeLinkedContactsbooleanoptional

Default: false

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/finance/accounts/debtors/{debtorIdOrAccount}
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounts/debtors/{debtorIdOrAccount}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

typestringrequired

Options:

businessperson

ObjectId as string

accountintegerrequired

minimum: 1

maximum: 999999999

namestringrequired

minLength: 1

maxLength: 81

nameSortstringrequired

minLength: 1

maxLength: 81

Additional properties are not allowed.

receiptSendMethodstringrequired

Options:

noneemailpostal
detailsstringrequired

maxLength: 255

paymentMethodTypestring | nullrequired

Options:

sepaCreditTransfersepaDirectDebitcashonline

Additional properties are not allowed.

Additional properties are not allowed.

blockedAtdate-time | nullrequired
blockedNotestring | nullrequired

minLength: 1

maxLength: 2000

blockModestring | nullrequired

Options:

alldirectDebit
disableAutomaticRemindersbooleanrequired
totalOwedFromDebtorintegerrequired

minimum: -9007199254740991

maximum: 9999999999

totalOwedToDebtorintegerrequired

minimum: -9007199254740991

maximum: 9999999999

totalDepositintegerrequired

minimum: -9007199254740991

maximum: 9999999999

supplierNumberstringrequired

maxLength: 32

birthdatestring | nullrequired

Response

200
{
  "_id": "000000000000000000000001",
  "mandates": [
    "000000000000000000000001"
  ],
  "type": "business",
  "contact": "000000000000000000000001",
  "account": 1,
  "name": "string",
  "nameSort": "string",
  "address": {
    "country": "string",
    "zip": "string",
    "city": "string",
    "addressLine": "string"
  },
  "email": "",
  "receiptSendMethod": "none",
  "details": "string",
  "paymentMethodType": "sepaCreditTransfer",
  "sepaDirectDebitMandate": {
    "iban": "string",
    "bic": "string",
    "sepaMandateId": "string",
    "sepaMandateSignatureDate": "string",
    "accountHolderName": "string",
    "accountHolderAddress": {
      "country": "string",
      "zip": "string",
      "city": "string",
      "addressLine": "string"
    }
  },
  "onlinePayment": {
    "providers": [
      "stripe"
    ],
    "linkToken": "string",
    "linkTokenExpiresAt": "string",
    "paymentMethods": [
      {
        "paymentMethod": "000000000000000000000001",
        "default": true
      }
    ]
  },
  "blockedAt": "2026-06-15T22:30:00Z",
  "blockedBy": {
    "name": "string",
    "type": "user",
    "userId": "string",
    "image": {
      "resource": "string"
    }
  },
  "blockedNote": "string",
  "blockMode": "all",
  "disableAutomaticReminders": true,
  "totalOwedFromDebtor": -9007199254740991,
  "totalOwedToDebtor": -9007199254740991,
  "totalDeposit": -9007199254740991,
  "supplierNumber": "string",
  "birthdate": "string"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}